#include <SDL/SDL.h>
#include <stdlib.h>
#include <SDL/SDL_image.h>

int main ()
{
	SDL_Surface * pantalla, *image;			
	//Superficie principal sobre la que se va a dibujar todo
	
	//Inicializacion de SDL
	if (SDL_Init (SDL_INIT_VIDEO | SDL_INIT_AUDIO) !=0)		
	{
		printf ("No se ha podido iniciar SDL : %s ",SDL_GetError());
		return 1;
	}
	
	//Cuando se salga del programa se llamara a la funcion SDL_QUIT
	atexit (SDL_Quit);
	
	//Se inicia el modo de video con una resolucion de 640x480
	//16 bpp, color depth
	//Utilizamos un framebuffer hardware
	pantalla = SDL_SetVideoMode (640, 480, 16, SDL_HWSURFACE);
	if (pantalla == NULL)
	{
		printf ("No se ha podido iniciar El Video : %s ",SDL_GetError());
		return 1;
	}
	
	//SDL_LockSurface(pantalla);
	

	image = IMG_Load("prota.png");
	
	SDL_LockSurface(image);
	SDL_SetAlpha(image, SDL_SRCALPHA, 128);
	SDL_UnlockSurface(image);
	
 	SDL_BlitSurface(image, NULL, pantalla, NULL);
    SDL_UpdateRect(pantalla, 0, 0, image->w, image->h);
	SDL_Delay(1000);

    SDL_FreeSurface(image);

	
	return 0;
}
