#include <SDL/SDL.h>
#include <stdlib.h>

int main ()
{
	SDL_Surface * pantalla;			
	//Superficie principal sobre la que se va a dibujar todo
	
	//Inicializacion de SDL
	if (SDL_Init (SDL_INIT_VIDEO | SDL_INIT_AUDIO) !=0)		
	{
		printf ("No se ha podido iniciar SDL : %s ",SDL_GetError());
		return 1;
	}
	
	//Cuando se salga del programa se llamara a la funcion SDL_QUIT
	atexit (SDL_Quit);
	
	//Se inicia el modo de video con una resolucion de 640x480
	//16 bpp, color depth
	//Utilizamos un framebuffer hardware
	pantalla = SDL_SetVideoMode (640, 480, 16, SDL_HWSURFACE);
	if (pantalla == NULL)
	{
		printf ("No se ha podido iniciar El Video : %s ",SDL_GetError());
		return 1;
	}
	
	SDL_Delay(1000);
	
	return 0;
}
